All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.filters
Interface SimpleFilterLogicTreeNodeInterface

    public interface SimpleFilterLogicTreeNodeInterface

This interface defines a single node used within implementors of the SimpleFilterLogicTreeInterface.

See Also:
  `SimpleFilterLogicTreeInterface`

Method Summary
`SimpleFilterLogicTreeNodeInterface` | `getLeftChild()` Returns the left child of this tree node or null if one is not present.
`java.lang.String` | `getLogicalCondition()` Returns the logical condition.
`java.lang.Object` | `getNativeFilter()` Returns the native version of the filter represented by this tree node.
`SimpleFilterLogicTreeNodeInterface` | `getParent()` Returns the parent node of this tree node or null if one is not present (indicating this node could be the root node).
`SimpleFilterLogicTreeNodeInterface` | `getRightChild()` Returns the right child of this tree node or null if one is not present.
`FilterLogicTestNodeInterface` | `getTestNode()` Returns the FilterLogicTestNodeInterface that contains the filter model information associated with this tree node.
`boolean` | `isLeaf()` Returns TRUE if this node is a leaf node, FALSE otherwise.
`boolean` | `isNegated()` Returns TRUE if the filter for this node is negated (IE.
`boolean` | `isUnderstood()` Returns TRUE if this node has successfully interpreted the input model.
`void` | `removeNode()` Removes this node from the tree and nulls the internal data.
`void` | `setLogicalCondition(java.lang.String logicalCondition)` Sets the logical condition.

Method Detail

### getLogicalCondition

    java.lang.String getLogicalCondition()

  Returns the logical condition.

  Returns:
    the logical condition for this node

### setLogicalCondition

    void setLogicalCondition(java.lang.String logicalCondition)

  Sets the logical condition. Valid values are "AND", "OR", and null.

  Parameters:
    `logicalCondition` - The logical condition to set

### removeNode

    void removeNode()

  Removes this node from the tree and nulls the internal data.

### getNativeFilter

    java.lang.Object getNativeFilter()

  Returns the native version of the filter represented by this tree node.

  Returns:
    the native filter object

### getLeftChild

    SimpleFilterLogicTreeNodeInterface getLeftChild()

  Returns the left child of this tree node or null if one is not present.

  Returns:
    the left child

### getRightChild

    SimpleFilterLogicTreeNodeInterface getRightChild()

  Returns the right child of this tree node or null if one is not present.

  Returns:
    the right child

### getParent

    SimpleFilterLogicTreeNodeInterface getParent()

  Returns the parent node of this tree node or null if one is not present (indicating this node could be the root node).

  Returns:
    the parent node

### getTestNode

    FilterLogicTestNodeInterface getTestNode()

  Returns the FilterLogicTestNodeInterface that contains the filter model information associated with this tree node.

  Returns:
    the test node

### isLeaf

    boolean isLeaf()

  Returns TRUE if this node is a leaf node, FALSE otherwise. A node is a leaf if it has no children.

  Returns:
    TRUE if the node is a leaf node, FALSE otherwise

### isNegated

    boolean isNegated()

  Returns TRUE if the filter for this node is negated (IE. NOT this filter).

  Returns:
    TRUE if this node is negated, FALSE otherwise

### isUnderstood

    boolean isUnderstood()

  Returns TRUE if this node has successfully interpreted the input model.

  Returns:
    TRUE if this node has been mark as understood

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.